Subject: [Ecrit] draft-ietf-ecrit-additional-data-10: Comments that shouldn't be controversial

From: "STARK, BARBARA H" <[email-masked]>
Date: Wed, 31 Jul 2013 17:10:45 +0000

I've grouped all of my comments that I don't expect to be controversial (or to require much discussion) in this email.
I also provided the authors with a set of spelling errors that I'm not going to send to the list.

----------
2. Terminology
   'Conditional':  means they must be present unless the specified
   condition is met, in which case the they may be present. 

Comment 23: "unless the specified condition is met" is not right. One possibility would be "if the specific condition is met".
-----------
3.1.2.  Data Provider ID

   Use :  Conditional.  Must be provided if the service provider is
      located in a jurisdiction that maintains such ids .  Devices are
      not required to provide it.

   Description:  A jurisdiction specific code for the provider  shown in
      the <DataProvidedBy> element that created the structure of the
      call.  This data SHOULD be provided if the local jurisdiction
      maintains such an ID list.  For example, in North America, this
      would be a "NENA Company ID".  Devices SHOULD NOT use this
      element.

Comment 24: Normative language from Description belongs in Use
------------
3.1.6.  Data Provider Languages(s) Supported

   Use:  Conditional 

   Description:  The language used by the entity at the Data Provider
      Contact URI as an alpha 2-character code as defined in ISO
      639-1:2002 Codes for the representation of names of languages --
      Part 1: Alpha-2 code Multiple instances of this element may occur.
      Order is significant; preferred language should appear first.
      This data is required if a Data Provider Contact URI is provided. 
      The content must reflect the languages supported at the contact
      URI.

Comment 25: Conditional on what? Should the conditional sentence in Description (penultimate sentence) be moved to Use to be consistent with other Use fields?
Comment 26: Since Contact URI is required, and this field is conditional upon a required field, doesn't that make this required?
------------
3.3.6.  Device/Service Specific Additional Data Structure
VEDs / VEDS
Comment 26: I don't know this acronym. Can you spell it out? And use it consistently (VEDs or VEDS)?
------------
7.  Security Considerations
PKI
Comment 27: Spell this out.